---
title: DIC
layout: layouts/base_subject.njk
eleventyNavigation:
  key: DIC
  order: 2
---
<p>Presentations will take place on 2022-04-04.</p>

<h2 id="code">Source Code</h2>
<p>The source code created for or in this class is available at
  <a href="https://gitlab.com/senarclens/micropython-examples/">https://gitlab.com/senarclens/micropython-examples/</a> or via</p>
<code>git clone git@gitlab.com:senarclens/micropython-examples.git</code>

<p>Many of the concepts and examples we discussed are well explained in the book
  <a href="https://hackspace.raspberrypi.org/books/micropython-pico/pdf/download">Get
    Started with MicroPython on Raspberry Pi Pico</a>.</p>

<h2 id="presentations">Presentations</h2>
<ul>
  <li><a href="/presentations/cpp/operator_overloading/">C++ - Operator Overloading</a></li>
  <li><a href="/presentations/c/dynamic_memory_management/">Dynamic Memory Management</a></li>
  <li><a href="/presentations/c/multiple_files/">Working with Multiple Files</a></li>
  <li><a href="/presentations/c/unit_testing/">Unit Testing</a></li>
  <li><a href="/presentations/c/algorithms/introduction_to_algorithms/">Data Structures and Algorithms in C - Introduction</a></li>
</ul>

<h2 id="exercises">Exercises</h2>
<ul>
  <li><a href="/exercises/twos_complement/">Two's Complement</a></li>
  <li><a href="/exercises/cpp/operator_overloading/">C++ Operator Overloading</a></li>
  <li><a href="/exercises/c/exercise_pointers/">Pointers</a></li>
  <li><a href="/exercises/c/exercise_free_store/">Free Store</a></li>
  <li><a href="/exercises/c/exercise_multiple_files/">Multiple Files</a></li>
</ul>

<h2 id="exams">Prior Exams</h2>
<ul>
  <li><a href="tests/dic1_mid_term_2021_a/">DIC 1 mid term f2021 (group a)</a></li>
</ul>

<h2 id="links">Links</h2>
  <ul>
    <li><a href="https://www.freecodecamp.org/news/learn-vim-beginners-tutorial/">Learn Vim – Beginner's Tutorial</a></li>
  </ul>

<h2 id="syllabus">Syllabus</h2>
<h4>Kompetenzmodul 1</h4>
<ul>
  <li>Bereich Entwurf digitaler Systeme
    <ul>
      <li>Synchrone und asynchrone Schaltwerke</li>
      <li>Beschreibungen von sequenziellen Systemen</li>
    </ul>
  </li>
  <li>Bereich Computerarchitekturen
    <ul>
      <li>Aufbau und Arbeitsweise eines Mikrocontrollers</li>
    </ul>
  </li>
  <li>Bereich Embedded Systems
    <ul>
      <li>Logikfamilien</li>
      <li>Realisierungstechnologien</li>
    </ul>
  </li>
</ul>


<h4>Kompetenzmodul 2</h4>
<ul>
  <li>Bereich Entwurf digitaler Systeme
    <ul>
      <li>Architekturen von digitalen Logikbausteinen</li>
    </ul>
  </li>
  <li>Bereich Computerarchitekturen
    <ul>
      <li>Befehlsarchitektur und Software-Tools</li>
      <li>Peripheriekomponenten</li>
      <li>Prozessorschnittstellen</li>
    </ul>
  </li>
  <li>Bereich Embedded Systems
    <ul>
      <li>Rechenschaltungen</li>
    </ul>
  </li>
</ul>
